<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for JP_VisaBookingRuleRequest StructType
 * @subpackage Structs
 */
class JP_VisaBookingRuleRequest extends AbstractStructBase
{
    /**
     * The VisaRuleOption
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_VisaRuleOptionRQ
     */
    public $VisaRuleOption;
    /**
     * Constructor method for JP_VisaBookingRuleRequest
     * @uses JP_VisaBookingRuleRequest::setVisaRuleOption()
     * @param \StructType\JP_VisaRuleOptionRQ $visaRuleOption
     */
    public function __construct(\StructType\JP_VisaRuleOptionRQ $visaRuleOption = null)
    {
        $this
            ->setVisaRuleOption($visaRuleOption);
    }
    /**
     * Get VisaRuleOption value
     * @return \StructType\JP_VisaRuleOptionRQ|null
     */
    public function getVisaRuleOption()
    {
        return $this->VisaRuleOption;
    }
    /**
     * Set VisaRuleOption value
     * @param \StructType\JP_VisaRuleOptionRQ $visaRuleOption
     * @return \StructType\JP_VisaBookingRuleRequest
     */
    public function setVisaRuleOption(\StructType\JP_VisaRuleOptionRQ $visaRuleOption = null)
    {
        $this->VisaRuleOption = $visaRuleOption;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\JP_VisaBookingRuleRequest
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
